@import "variables/colors";
@import "variables/font";

.offer-summary {
  &__content {
    margin: 16px auto;
    max-width: 80%;

    .title {
      color: $caribbean-green-80;
      font-family: $poppins-semibold;
      margin-bottom: 8px;
      font-size: 20px;
      margin: 0;
    }
    .description {
      padding: 0;
      margin: 0;
    }
    .details {
      display: flex;
      flex-direction: column;
      gap: 16px;
      margin: 16px 0;
      padding: 16px 16px 16px 0;
      max-height: 65vh;
      overflow-y: auto;
      .summary-item {
        &__title,
        &__subtitle {
          margin: 10px 0 0;
        }
        &__title {
          font-family: $poppins-bold;
          color: $main-indigo-60;
          font-size: 16px;
        }
        &__subtitle {
          font-family: $poppins-semibold;
          font-size: 14px;
        }
      }
    }
  }
  &__buttons {
    display: flex;
    gap: 16px;
    justify-content: flex-end;
    margin-top: 32px;
  }
}
